Mailinglist Archive: opensuse-updates (48 mails)

< Previous Next >
openSUSE-SU-2010:0909-1 (moderate): php5-pear-mail security update
  • From: opensuse-security@xxxxxxxxxxxx
  • Date: Wed, 27 Oct 2010 21:08:18 +0200 (CEST)
  • Message-id: <20101027190818.EB38FBE4E@xxxxxxxxxxxxxx>
openSUSE Security Update: php5-pear-mail security update
______________________________________________________________________________

Announcement ID: openSUSE-SU-2010:0909-1
Rating: moderate
References: #558259 #630334
Cross-References: CVE-2009-4023 CVE-2009-4111
Affected Products:
openSUSE 11.1
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

Passing specially crafted $from and $recepient arguments to
php5-pear-mail's sendmail.php allowed attackers to inject
shell code (CVE-2009-4023, CVE-2009-4111).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.1:

zypper in -t patch php5-pear-mail-3379

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.1 (noarch):

php5-pear-mail-1.1.14-1.135.1


References:

http://support.novell.com/security/cve/CVE-2009-4023.html
http://support.novell.com/security/cve/CVE-2009-4111.html
https://bugzilla.novell.com/558259
https://bugzilla.novell.com/630334


< Previous Next >
This Thread
  • No further messages